#include "crypto.h"
#include "otherpplgode/hmac.h"
#include <string.h>

void hmac384(uint8_t const *key,
             size_t         key_size,
             uint8_t       *mac,
             uint8_t const *msg,
             size_t         msg_size){

  hmac_sha384_ctx ctx;
  hmac_sha384_init(&ctx,key,key_size);
  hmac_sha384_update(&ctx,msg,msg_size);
  hmac_sha384_final(&ctx,mac,HMAC384_SIZE);
  VAR_ZERO(ctx);
}

