#include "crypto.h"
#include "otherpplgode/sha.h"
#include <string.h>

void sha256(uint8_t *sha,uint8_t const *msg,size_t msg_len){
  sha256_ctx ctx;
  sha256_init(&ctx);
  sha256_update(&ctx,msg,msg_len);
  sha256_final(&ctx,sha);
  VAR_ZERO(ctx);
}

void sha384(uint8_t *sha,uint8_t const *msg,size_t msg_len){
  sha384_ctx ctx;
  sha384_init(&ctx);
  sha384_update(&ctx,msg,msg_len);
  sha384_final(&ctx,sha);
  VAR_ZERO(ctx);
}

void sha512(uint8_t *sha,uint8_t const *msg,size_t msg_len){
  sha512_ctx ctx;
  sha512_init(&ctx);
  sha512_update(&ctx,msg,msg_len);
  sha512_final(&ctx,sha);
  VAR_ZERO(ctx);
}

